
<mat-form-field style="padding-top: 50px;">
  <input matInput
          name="amount"
          type="number"
          title="amount"
          placeholder="Montant désiré"
          matInput
          [formControl]="amountCtrl"
          autocomplete="off">
</mat-form-field> <br>
<button mat-raised-button
        [class.spinner]="isValidating"
        color="primary"
        [disabled]="!amountForm.valid"
        (click)="validate($event)">Valider</button>

<div style="padding-top: 20px;">
  <button mat-raised-button
          color="warn"
          (click)="next($event)">Montant suivant
  </button>
</div>
<div style="padding-top: 20px;">
  <button mat-raised-button
          color="warn"
          (click)="previous($event)">Montant précédent
  </button>
</div>

<div *ngIf="amountType === EAmountType.EQUAL"
     style="padding-top: 50px;">
  Votre montant est composé des cartes suivantes :
  <div *ngFor="let card of calculators.get(EAmountType.EQUAL).cards">- {{ card }}</div>
</div>

<div *ngIf="amountType === EAmountType.LOWER"
     style="padding-top: 50px;">
  Le montant inférieur disponible est {{calculators.get(EAmountType.LOWER).value}}
  <button mat-raised-button
        [class.spinner]="isValidating"
        color="secondary"
        [disabled]="!amountForm.valid"
        (click)="validate($event, calculators.get(EAmountType.LOWER).value)">Choisir</button>
</div>

<div *ngIf="amountType === EAmountType.HIGHER"
     style="padding-top: 50px;">
  Le montant supérieur disponible est {{calculators.get(EAmountType.HIGHER).value}}
  <button mat-raised-button
        [class.spinner]="isValidating"
        color="secondary"
        [disabled]="!amountForm.valid"
        (click)="validate($event, calculators.get(EAmountType.HIGHER).value)">Choisir</button>
</div>

<div *ngIf="amountType === EAmountType.LOWER_AND_HIGHER"
     style="padding-top: 50px;">
  Le montant saisi est indosponible: <br>
  - Le montant inférieur disponible est {{calculators.get(EAmountType.LOWER).value}}
  <button mat-raised-button
        [class.spinner]="isValidating"
        color="secondary"
        [disabled]="!amountForm.valid"
        (click)="validate($event, calculators.get(EAmountType.LOWER).value)">Choisir</button>

  <div style="padding-top: 10px">
    - Le montant supérieur disponible est {{calculators.get(EAmountType.HIGHER).value}}
    <button mat-raised-button
          [class.spinner]="isValidating"
          color="secondary"
          [disabled]="!amountForm.valid"
          (click)="validate($event, calculators.get(EAmountType.HIGHER).value)">Choisir</button>
  </div>
</div>


<div class="danger" style="color: red" *ngIf="error !== ''">
  {{ error }}
</div>
